#include "Relais.h"

Relais::Relais(uint8_t pin)
{
    pinMode(pin, OUTPUT);
    digitalWrite(_pin, 1);
    _pin = pin;
}
void Relais::cylce()
{
    if (!_state)
        return;
    if (millis() > _call_time)
    {
        digitalWrite(_pin, 1);
        _state = false;
        Serial.println("Relay released.");
    }
}
void Relais::activate(uint8_t seconds)
{
    Serial.println("Relay activated for "+String(seconds)+" Seconds.");
    digitalWrite(_pin, 0);
    _state = true;
    _call_time = millis() + seconds * 1000;
}
